summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-nds/yp-tools/yp-tools-2.12-r1.ebuild')
-rw-r--r--net-nds/yp-tools/yp-tools-2.12-r1.ebuild42
1 files changed, 42 insertions, 0 deletions
diff --git a/net-nds/yp-tools/yp-tools-2.12-r1.ebuild b/net-nds/yp-tools/yp-tools-2.12-r1.ebuild
new file mode 100644
index 00000000000..54749e0ea23
--- /dev/null
+++ b/net-nds/yp-tools/yp-tools-2.12-r1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils systemd
+
+DESCRIPTION="Network Information Service tools"
+HOMEPAGE="http://www.linux-nis.org/nis/"
+SRC_URI="ftp://ftp.kernel.org/pub/linux/utils/net/NIS/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 ~arm hppa ia64 ~mips ppc ppc64 sparc x86"
+IUSE="nls"
+
+src_configure() {
+ local myconf="--sysconfdir=/etc/yp"
+ if ! use nls
+ then
+ myconf="${myconf} --disable-nls"
+ mkdir intl
+ touch intl/libintl.h
+ export CPPFLAGS="${CPPFLAGS} -I${S}"
+
+ for i in lib/nicknames.c src/*.c
+ do
+ cp ${i} ${i}.orig
+ sed 's:<libintl.h>:<intl/libintl.h>:' \
+ ${i}.orig > ${i}
+ done
+ fi
+ econf ${myconf}
+}
+
+src_install() {
+ default
+ insinto /etc/yp ; doins etc/nicknames
+ systemd_dounit "${FILESDIR}/domainname.service"
+ systemd_install_serviced "${FILESDIR}"/domainname.service.conf
+}